CLX(1)

NAME
clx - it's Hacker News in your terminal

SYNOPSIS

clx [OPTION]...

DESCRIPTION

circumflex lets you browse Hacker News in your terminal. Quickly and easily visit the comment section or read the article in Reader Mode.

KEYBINDINGS

Enter
    Read the comment section.

Space
    Read the article in Reader Mode.

r
    Re-fetches submissions for current category. Purges already fetched submissions from other categories.

Tab
    Change category (use Shift + Tab to change in opposite direction).

o
    Open link to article in browser.

c
    Open comment section in browser.

f
    Add currently highlighted submission to favorites.

x
    Remove currently highlighted submission from favorites.

q
    Quit to prompt.

NAVIGATION

circumflex pipes all its content to the pager less. It is recommended to use the following keybindings for moving around:

j, k
    Scroll up/down one line.

d, u
    Scroll up/down one half-page.

h, l
    Hide/unhide all replies.

n, N
    Scroll between the next/previous top-level comment (comment section) or headline (Reader Mode).

COMMANDS

clx add [ID]
    Add item to list of favorites by ID.

clx article [ID]
    Go directly to Reader Mode for a given item ID without first going through the main view.

clx comments [ID]
    Go directly to the comment section for a given item ID without first going through the main view.

clx url [URL]
    Open a URL directly in Reader Mode

clx clear
    Clear the history of visited IDs from ~/.cache/circumflex/history.json.

OPTIONS

-c n, --comment-width=n
    Set the comment width to n columns.

-p, --plain-headlines
    Disable syntax highlighting for headlines.

-o, --plain-comments
    Disable syntax highlighting for comments.

-e, --disable-emojis
    Disable conversion of smileys to emojis.

-d, --disable-history
    Disable marking submissions as read.

-t, --hide-indent
    Hide the indentation bar to the left of the reply.

-n, --nerdfonts
    Use Nerd Fonts icons as decorators for some elements (requires a Nerd Font-patched font).

-a, --auto-expand
    Auto expand all replies upon entering the comment section (collapse comments with h).

-v, --version
    Show the current version of circumflex.

-q, --debug-mode
    Mock all endpoints and use dummy data for the submissions screen and comment section.

--no-less-verify
    Do not verify less version on startup

--categories
    Set the categories in the header. Choose between top, new, best, ask and show. First category will be treated as the default one. Separate categories with comma. Default value: "top,best,ask,show"

FAVORITES

Press f to add the currently highlighted submission to your list of favorites. Remove submissions from the Favorites page with x.

Favorites are stored in ~/.config/circumflex/favorites.json. The entries in favorites.json are pretty-printed to make them both human-readable and VCS-friendly.

ENVIRONMENT VARIABLES

NERDFONTS
    If this variable is set, circumflex will use Nerd Fonts icons as decorators for some elements. Same as running clx with the --nerdfonts flag.

CLX_BROWSER
    Set to a custom command to be run when opening links. The URL to the website will be appended to CLX_BROWSER and ran as a single command.

SEE ALSO

less(1), vim(1)

ABOUT

Ben Sadeh (github.com/bensadeh/circumflex)

Released under the GNU Affero General Public License v3.0